<?
require'config.php';
$tyu='left';
$title='Банк чата';
aut();
head();
who_add(0,'enter');



switch($mod){
default:
echo '<b>[Банкир]</b>('.date("H:i", $time).')&gt;Здравствуйте,<b>'.$user['user'].'</b>! Добро пжаловать в банк нашего чата!';
echo '<dt></dt>';

if($user['level']>!3){
echo '<img src="'.H.'img/refresh.ico" alt="" /> <a href="bank?mod=refresh">Обмен валюты</a><br/>';
}else{
echo 'Обмен средств доступен<br/>пользователям уровня Тусовщик<br/>';
}
echo '<img src="'.H.'img/restore.ico" alt="" /> <a href="my/perevod">Перевод средств</a><br/>';
//echo '<img src="'.H.'img/rur.png" alt="" /> <a href="bank?mod=vklads">Вклады</a><br/>';
//echo '&#187; <a href="bank?mod=votes">Голоса</a><br/>';

//echo '<br /><img src="'.H.'img/rur1.ico" alt="" /> <a href="bank?mod=histiri">Истории операций</a><br/>';
break;


case 'refresh':
if($user['level']>!3){
if (empty($act)){

echo '<b>[Банкир]</b>('.date("H:i", $time).')&gt;<b>'.$user['user'].'</b>, Вы находитесь у автомата по обмену валюты.<br />';
echo '<dt></dt>';
echo 'У вас на руках:<br />Постов: <b>'.$user['posts'].'</b><br />Денег: <b>'.$user['rur'].'</b> рублей<br />Курс обменника: <b>1:'.$set['kurs_bank_ob'].'</b> (1 рубль = '.$set['kurs_bank_ob'].' постам)<br />';
echo '<dt></dt>';

if ($ver!='wml')echo '<form action="bank?mod='.$mod.'&amp;act=act&amp;'.SID.'" method="post">';
echo 'Хочу купить:<br /><input name="kol" maxlength="7" title="Хочу купить"/><br/>';
echo '<select name="mode">
<option value="rur">Рублей</option>
<option value="posts">Постов</option>
</select><br/><br />';

$chislo=rand(1000,9999);
$db->sql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
$db->sql_query("INSERT INTO `chislo` (chislo,ip) values('$chislo','".$ip."')");
echo '&#160;<b>'.$chislo.'</b><br/>Проверочный код:<br/>
<input type="text" name="code" size="4" maxlength="4" title="code"/><br/><br />';
if ($ver=='wml'){
echo '<br /><anchor title="go">Начать операцию<go href="bank?mod='.$mod.'&amp;act=add&amp;'.SID.'" method="post"><br />';
echo '<postfield name="kol" value="$kol'.$ref.'"/>
<postfield name="mode" value="$mode'.$ref.'"/>
<postfield name="code" value="$code'.$ref.'"/>
</go></anchor><br /><br />';
}else{
echo '<input type="submit" class="ibutton" value="Начать операцию"/></form><br />';
}


}else{
$mode = check($_POST['mode']);
$kol = check(abs(intval($_POST['kol'])));
$kol = round(substr($kol,0,7));

$online = $db->sql_fetchrow($db->sql_query("SELECT * FROM `chislo` WHERE `ip` = '".$ip."'"));
if($online['chislo'] != intval($_POST['code']))$err = 'Проверочный код введен неверно!';


if ($mode=='rur'){

$post = round($kol*$set['kurs_bank_ob']);
if($kol=='' || $kol<=0)$err = 'Неправильная сумма!';
if ($user['posts']<$post)$err = 'Чтобы купить <b>'.$kol.'</b> рублей вам нужно <b>'.$post.'</b> постов!';

if (empty($err)){
$postsm = $user['posts']-$post;
$db->sql_query('UPDATE `users` SET `posts` = "'.$postsm.'" WHERE `id` = "'.$user['id'].'"');

$rur = $user['rur']+$kol;
$db->sql_query('UPDATE `users` SET `rur` = "'.$rur.'" WHERE `id` = "'.$user['id'].'"');

$db->sql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
echo 'Операция прошла успешно! <b>'.$kol.'</b> рублей обошлись вам в <b>'.$post.'</b> постов.<br />';
}else echo $err;

}else if ($mode==posts){
$rur = round($kol/$set['kurs_bank_ob']);

if ($kol<$set['kurs_bank_ob'])$err = 'Нельзя покупать меньше <b>'.$set['kurs_bank_ob'].'</b> постов!';
else if ($user['rur']<$rur)$err = 'Чтобы купить <b>'.$kol.'</b> пост(ов) вам нужно <b>'.$rur.'</b> рубль(ей)!';

if (empty($err)){
$rurm = $user['rur']-$rur;
$db->sql_query('UPDATE `users` SET `rur` = "'.$rurm.'" WHERE `id` = "'.$user['id'].'"');

$post = $user['posts']+$kol;
$db->sql_query('UPDATE `users` SET `posts` = "'.$post.'" WHERE `id` = "'.$user['id'].'"');

$db->sql_query("DELETE FROM `chislo` WHERE `ip` = '".$ip."'");
echo 'Операция прошла успешно! <b>'.$kol.'</b> постов обошлись вам в <b>'.$rur.'</b> рубль(ей).<br/>';
}else echo $err;
}

}

}else{
echo 'Таких умных здесь не любят:)<br/>';
}

break;




case 'vklads':
echo '<b>[Банкир]</b>('.date("H:i", $time).')&gt;<b>'.$user['user'].'</b>, Здесь вы можете сделать вклад под проценты.';
echo '<dt></dt>';

break;


}
echo '<br />';
if($mod)echo gb.'<a href="'.H.'bank">Банк чата</a>'.div;
echo gb.'<a href="'.H.'my/index">Личный кабинет</a>'.div;
echo gb.'<a href="'.H.'enter">Прихожая</a>'.div;
foot();
?>
